<template>
  <div>
    <div id="mainpagecontent">
      <div
        id="sidebar"
        style="padding-left: 5px;">
        <div id="recent-sales">
          <h1>Recent Sales</h1>
          <recent-sales :shop="shop" />
        </div>
        <headlines />
        <action-buttons
          :has-swiper="hasSwiper"
          :shop="shop" />
      </div>
      <div id="maincontent">
        <B2BAccounting :shop="shop" />
      </div>
      <div class="clear"/>
    </div>
  </div>
</template>

<style>
.parts.layout1.color1 #mainpagecontent #maincontent a p {
  color: white;
}
.parts.layout2.color1 #mainpagecontent #maincontent a p {
  color: white;
}
.parts.layout1.color2 #mainpagecontent #maincontent a p {
  color: white;
}
.parts.layout2.color2 #mainpagecontent #maincontent a p {
  color: white;
}

</style>

<script>
import RecentSales from "../RecentSales.vue";
import Headlines from "../Headlines.vue";
import ActionButtons from "../ActionButtons.vue";
import B2BAccounting from "../../../../shared/views/B2BAccounting.vue";

export default {
  components: {
    RecentSales,
    Headlines,
    ActionButtons,
    B2BAccounting
  },
  props: {
    shop: Object,
    hasSwiper: Boolean,
  }

};
</script>

